Debian Bug report logs - #268966
kdegraphics NMU to t-p-u (tiff4/exif10/kdelibs 3.2.3 rebuild)

version graph

Package: kdegraphics; Maintainer for kdegraphics is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kdegraphics is src:meta-kde.

Reported by: Steve Langasek <vorlon@debian.org>

Date: Mon, 30 Aug 2004 05:03:03 UTC

Severity: normal

Tags: fixed-in-experimental

Found in version 3.2.3-1.1

Fixed in version kdegraphics/4:3.3.2-1

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#268966; Package kdegraphics. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: kdegraphics NMU to t-p-u (tiff4/exif10/kdelibs 3.2.3 rebuild)
Date: Sun, 29 Aug 2004 21:58:27 -0700
[Message part 1 (text/plain, inline)]
Package: kdegraphics
Version: 3.2.3-1.1

With permission from Ben Burton, I'm uploading an NMU of kdegraphics to
testing-proposed-updates to get it back into testing following its
removal as part of the tiff/libexif transition.  Please find the diff
attached.

-- 
Steve Langasek
postmodern programmer
[kdegraphics-tpu.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Christopher Martin <chrsmrtn@freeshell.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 268966-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 268966-close@bugs.debian.org
Subject: Bug#268966: fixed in kdegraphics 4:3.3.2-1
Date: Wed, 19 Jan 2005 19:47:18 -0500
Source: kdegraphics
Source-Version: 4:3.3.2-1

We believe that the bug you reported is fixed in the latest version of
kdegraphics, which is due to be installed in the Debian FTP archive:

kamera_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kamera_3.3.2-1_i386.deb
kcoloredit_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kcoloredit_3.3.2-1_i386.deb
kdegraphics-dev_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kdegraphics-dev_3.3.2-1_i386.deb
kdegraphics-kfile-plugins_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kdegraphics-kfile-plugins_3.3.2-1_i386.deb
kdegraphics_3.3.2-1.diff.gz
  to pool/main/k/kdegraphics/kdegraphics_3.3.2-1.diff.gz
kdegraphics_3.3.2-1.dsc
  to pool/main/k/kdegraphics/kdegraphics_3.3.2-1.dsc
kdegraphics_3.3.2-1_all.deb
  to pool/main/k/kdegraphics/kdegraphics_3.3.2-1_all.deb
kdvi_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kdvi_3.3.2-1_i386.deb
kfax_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kfax_3.3.2-1_i386.deb
kgamma_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kgamma_3.3.2-1_i386.deb
kghostview_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kghostview_3.3.2-1_i386.deb
kiconedit_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kiconedit_3.3.2-1_i386.deb
kmrml_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kmrml_3.3.2-1_i386.deb
kolourpaint_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kolourpaint_3.3.2-1_i386.deb
kooka_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kooka_3.3.2-1_i386.deb
kpdf_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kpdf_3.3.2-1_i386.deb
kpovmodeler_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kpovmodeler_3.3.2-1_i386.deb
kruler_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kruler_3.3.2-1_i386.deb
ksnapshot_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/ksnapshot_3.3.2-1_i386.deb
ksvg_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/ksvg_3.3.2-1_i386.deb
kuickshow_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kuickshow_3.3.2-1_i386.deb
kview_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kview_3.3.2-1_i386.deb
kviewshell_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/kviewshell_3.3.2-1_i386.deb
libkscan-dev_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/libkscan-dev_3.3.2-1_i386.deb
libkscan1_3.3.2-1_i386.deb
  to pool/main/k/kdegraphics/libkscan1_3.3.2-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 268966@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdegraphics package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Jan 2005 19:31:25 +0100
Source: kdegraphics
Binary: kdegraphics-kfile-plugins ksnapshot kviewshell kghostview libkscan-dev kruler kcoloredit kamera kdegraphics-dev libkscan1 kview kpdf ksvg kdvi kiconedit kfax kuickshow kooka kdegraphics kolourpaint kmrml kgamma kpovmodeler
Architecture: all i386 source 
Version: 4:3.3.2-1
Distribution: unstable
Urgency: high
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 kamera     - digital camera io_slave for Konquerer
 kcoloredit - An editor for palette files
 kdegraphics - KDE Graphics metapackage
 kdegraphics-dev - KDE graphics (development files)
 kdegraphics-kfile-plugins - provide meta information for graphic files
 kdvi       - KDE dvi viewer
 kfax       - KDE G3/G4 Fax Viewer
 kgamma     - Gamma correction KControl module
 kghostview - PostScript viewer for KDE
 kiconedit  - An icon editor for creating KDE icons
 kmrml      - A Konqueror plugin for searching pictures
 kolourpaint - A Simple Paint Program for KDE
 kooka      - Scanner program for KDE
 kpdf       - PDF viewer for KDE
 kpovmodeler - A graphical editor for povray scenes
 kruler     - a screen ruler and color measurement tool for KDE
 ksnapshot  - Screenshot application for KDE
 ksvg       - SVG viewer for KDE
 kuickshow  - KDE image/slideshow viewer
 kview      - KDE simple image viewer/converter
 kviewshell - KDE generic framework for viewer applications
 libkscan-dev - Scanner library for KDE (development files)
 libkscan1  - Scanner library for KDE
Closes: 260201 268966 270488 274035 280563 286881 286891 286892 286893 286894 286895 288754 291139 291251
Changes: 
 kdegraphics (4:3.3.2-1) unstable; urgency=high
 .
   +++ Changes by Adeodato Simó:
 .
   * Apply patch for the latest kpdf vulnerability (CAN-2005-0064).
     URL: http://www.kde.org/info/security/advisory-20050119-1.txt
     (Closes: #291251)
 .
   * Update package description for several packages, provided by Jesús
     Roncero, thanks! These are: kolourpaint, kgamma, kooka, kpovmodeler,
     kuickshow. (Closes: #286891, #286892, #286893, #286894, #286895, #286881)
 .
   * Correct typo in kamera's description. (Closes: #291139)
 .
   +++ Changes by Christopher Martin:
 .
   * KDE_3_3_BRANCH update.
 .
   * Change debian/copyright file to refer to licenses, instead of copyright,
     when discussing KDE's licenses.
 .
   +++ Changes by Isaac Clerencia:
 .
   * Remove libgtk1.2-dev from Build-Depends.
 .
 kdegraphics (4:3.3.2-0pre1) experimental; urgency=low
 .
   * New upstream release.
     - kfax prints correctly multipage tiff files. (Closes: #288754)
   * KDE_3_3_BRANCH update.
   * Remove build-dependency on automake1.9.
   * Tightened build-dep on libsane-dev to >> 1.0.15. (Closes: #270488)
   * Updated kfax package description. (Closes: #280563)
 .
   +++ Changes by Adeodato Simó:
 .
   * Make konqueror capable of displaying SVG images out-of-the-box, without
     need of tweaking with mime types in the Control Center (closes: #260201):
     - this is a workaround until bugs.kde.org/74457 gets fixed.
     - services/ksvgplugin.desktop: give InitialPreference=11.
     - added mimelnk/image/svg-xml.desktop since some sites use that mimetype
       instead of image/svg+xml.
 .
   * debian/control:
     - make kpdf Provide: pdf-viewer.
     - version Build-Dependency on libexif-dev to (>= 0.6.9-1), just in case,
       acknowledging NMU from Steve Langasek. (Closes: #268966)
 .
   * debian/patches:
     - added new patch 10_correct-nedit-invocation.diff, to invoke NEdit with
       the proper binary name on Debian systems. (Closes: #274035)
Files: 
 0a55016cb4bcceb34285baa2543f3da0 53936 graphics optional kruler_3.3.2-1_i386.deb
 1709e35accf87167739b0911731bb5cc 442976 graphics optional kpdf_3.3.2-1_i386.deb
 201a876a3d95fbe179eeef2d938f50ad 633928 graphics optional kview_3.3.2-1_i386.deb
 3091a24fbcc7945cc0a723f250e538db 78130 graphics optional kamera_3.3.2-1_i386.deb
 480a7c33d2c7e2cbc18d0e66e71bfd3d 88358 graphics optional ksnapshot_3.3.2-1_i386.deb
 4f2c9f1c10ae5ac9d2cc59db9d488fbe 219376 graphics optional kghostview_3.3.2-1_i386.deb
 59cce00fae369a97478947023d07aaf0 1212214 graphics optional ksvg_3.3.2-1_i386.deb
 6119b69a6a68decaabab0f8ef31f9fff 127402 graphics optional kiconedit_3.3.2-1_i386.deb
 66fa0d7dc5ee7748a9054616c18755b9 2196824 graphics optional kpovmodeler_3.3.2-1_i386.deb
 6fa652889f49b8e3a064d2285fbbcf72 114962 kde optional kdegraphics_3.3.2-1.diff.gz
 83a2f65e82baab328962855494496984 158062 graphics optional kviewshell_3.3.2-1_i386.deb
 85d63cf9306af2720b4a1c9e41080c2c 739328 graphics optional kolourpaint_3.3.2-1_i386.deb
 a023923737414cd7c93480780e577509 475042 graphics optional kdvi_3.3.2-1_i386.deb
 a0caaddfc959a48270661589169da342 77450 graphics optional kgamma_3.3.2-1_i386.deb
 a9d4d5861dd104984267047c3d423145 9038 kde optional kdegraphics_3.3.2-1_all.deb
 aceb688be253d334d6c431ede05261a5 126148 libs optional libkscan1_3.3.2-1_i386.deb
 b53290daed6f5ab645b97910125d6544 213126 kde optional kmrml_3.3.2-1_i386.deb
 b667a69ecae0ad4e7022c3000bdcb2b4 26028 libdevel optional libkscan-dev_3.3.2-1_i386.deb
 9d42eb31324d99c8eea5bfa8294c7ec9 1356 kde optional kdegraphics_3.3.2-1.dsc
 bcc557947e7d0be3a909d4294f30ba7f 86754 graphics optional kcoloredit_3.3.2-1_i386.deb
 c52fcb05feb2116c81382d5b1c9153ba 57412 devel optional kdegraphics-dev_3.3.2-1_i386.deb
 c5abc7073102aa4fd910e46be2d28c53 463180 graphics optional kuickshow_3.3.2-1_i386.deb
 cb99dc2575b8da8f5c3c7b9af3325e8e 741810 graphics optional kooka_3.3.2-1_i386.deb
 cff1eb97b210751d8c3beaa0146b9235 213656 kde optional kdegraphics-kfile-plugins_3.3.2-1_i386.deb
 fc45eaa82a05841e20318ba35d23ca56 131882 graphics optional kfax_3.3.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Signed by Isaac Clerencia <isaac@warp.es>

iD8DBQFB7vhGQET2GFTmct4RAqH7AJ4018D96/Kdbvt71Tiz/MybAW+7AACfQvB4
+96Z5BglkTKVCmdKG3taTYA=
=3Hpg
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:48:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.